% Unix newline character and Unicode are used in the file
% This is a LilyPond source file for creating a sheet music
% Author: A. Zadorin

% Title: People (Human Race Theme)
% Game: Space Rangers
% Composer: G. Semenov
% Arranger: A. Zadorin

\version "2.19.82"
\include "../../Guitar-current-ly-style/Var/guitar-current.ily"
%\include "../../Guitar-current-ly-style/Var/definitions_No-Tab.ily"
% you can find guitar-current.ily by Stephen MacNeil at
% http://www.mglessons.com/lilypond/Guitar-current.tar

\header {
	title = "Полётная 12"
	subtitle = "(Космические рейнджеры)"
	composer = "Г. Семёнов"
	arranger = "(Переложение: A. Задорин)"
	tagline = "" 
}

mainInstrument = #"acoustic guitar (nylon)"

bassEP = {e8\rest e4 -\tag #'hide \mp e e e8 | }
bassE = {e8\rest e4 e e e8 | }
bassEFinger = {e8\rest e4-2 e e e8 | }
bassELow = { \repeat unfold 4 {e,8\rest e,} | }
bassC = {r8 c4 c c c8 | }
bassCT = {r8 c4_\markup {\fontsize #-4 \italic T(humb)}
	c_\markup \italic \fontsize #-4 "T" c_\markup \fontsize #-4 \italic "T"
	c8_\markup \fontsize #-4 \italic "T" | }
bassD = { r8 d4 d d d8 | }
bassDShort = { d2 d4 r | }
bassMelody = { e8\rest e \hideNotes \grace {dis16\glissando} \unHideNotes
	e8 e b,4 g,8 e, | }

introMelodyOneFFingers = {
	e'16-0\mf ^\markup \pos "VII" b-0 e-1 e'-0  d'-1 e'-0 g'-2 fis'-1 
	e'-0 b'-1 c''8-2  g'16-2 d'-1 b-0 d'-1 |
}

introMelodyOneF = {
	e'16\mf b e e'  d' e' g' fis' 
	e' b' c''8  g'16 d' b d' |
}

introMelodyOneFH = {
	e'16 -\tag #'hide \mf b e e'  d' e' g' fis' 
	e' b' c''8  g'16 d' b d' |
}

introMelodyOneCFingers = {
	e'16 b e e'  d' e' g'-3 fis' 
	e' b' c''8-3  g'16-3 d' b d' |
}

introMelodyOne = {
	e'16 b e e'  d' e' g' fis' 
	e' b' c''8  g'16 d' b d' |
}

introMelodyTwo = {
	e'16 b e e'  d' e' g' fis' 
	e' b' c''8  g'16 a'8 fis'16 |
}

introMelodyTwoFingers = {
	e'16 b e e'  d' e' g' fis' 
	e' b' c''8  g'16-2 a'8-4 fis'16-1 |
}

intro = {
	\stemNeutral
	\introMelodyOneFFingers \introMelodyTwoFingers
	\stemUp
	\introMelodyOne \introMelodyTwo
	<< {
		\introMelodyOneFH \introMelodyTwo
		\introMelodyOneCFingers \introMelodyTwo
	} \\ {
		e,2 -\tag #'hide \mf e, | e, e, |
		c-2 c | d d |
	} >>
	\stemNeutral
%	\bendOn e'4 (\bendOff es'4\glissando) (d'8)
	<e, e'>2 r8
	\harmOn e'''_\markup \Harm "V" e''^\markup \Harm "XII"
		e'_\markup \Harm "VII" \5 \harmOff |
}

melodyOneOne = {
	<b e'>8.\mp ^\markup \pos "II" b16 d'4 e'2 | r1 |
	c''4^\markup \pos "VII" b'8 g' e'2 |
	r2 a'8^\markup \pos "II" g'16 fis' d'4 |
}

melodyOneTwo = {
	<b e'>8. b16 d'4 e'4 d'8 b | e'1 |
	c''4 b'8 g' e'2 |
	d'4-1\3 e'4-0 <fis'-3 a'-1>8^\markup \pos "V" g'16-4 fis'-3 d'4-2 |
}

melodyOneThree = {
	<e' g'-4>8. b16-0 <d'-3 a'-1>8 g'8-4 e'2 | r4 g'8 a' b'4 r4 |
	c''8-3^\markup \pos "VII" c''
		<b'-1 \tweak style #'harmonic-mixed d''-2>8^\markup \Harm "VII"
		g'-3 e'4 c''8 d'' |
	<g' e''>2^\markup \pos "XII"
		<fis' d''-4>8^\markup \bbar "VII" g'16-2 fis'-1 d'4-1 |
}

melodyOneFour = {
	\fbarSpan "VII" {
		e''8. b'16 d''4 e''4 <fis' c''> | <g' b'>2. e''16 d'' b'8 | }
	c''4^\markup \pos "VII" b'8 g' e'8 c''8 d''4 |
	<g' e''>2-> ^\markup \pos "XII"
		<fis' d''>8-> ^\markup \pos "X" g'16 fis' d'4 |
}

partOne = {
	<< {
		\melodyOneOne
		\melodyOneTwo
		\melodyOneThree
		\melodyOneFour
	} \\ {
		e,1~ -\tag #'hide \mp | e,2 r | g1 | s |
		e,1~ | e,2 r | g1 | s |
		e,1~ | e,1 | g1 | s |
		e,1~ | e,1 | g1 | s |
	} \\ {
	} \\ {
		\bassEP \bassMelody
		\bassC \bassD
		\bassE \bassMelody
		\bassC \bassD
		\bassEFinger \bassE
		\bassCT \bassD
		\bassE \bassE
		\bassC \bassDShort
	} >>
}

chorus = {
	<< {
		\introMelodyOneF \introMelodyTwo
		\introMelodyOne \introMelodyTwo

		\introMelodyOne \introMelodyTwo
		\introMelodyOne
		\stemNeutral
%		\bendOn e'4 (\bendOff es'4\glissando) (d'8)
		<e, e'>2 r8
		\harmOn e'''8 e'' e' \harmOff
		\stemUp
		} \\ {
		e,4 -\tag #'hide \mf ^\markup \pos "VII"
			\repeat unfold 7 {e,4}
		\repeat unfold 4 {c4}
		\repeat unfold 4 {d4}

		\repeat unfold 8 {e,4}
		\repeat unfold 4 {c4}
		s1
	} >>
}

melodyTwoOne = {
	<b e'>8.\mp b16 d'4 e'2 |
	\override TextSpanner.bound-details.left.text = "sul ponticello"
	e'16\p ^\startTextSpan b e e'  d' e' g' fis' 
	e' b' c''8  g'16 d' b d' \stopTextSpan |
	c''4\mp b'8 g' e'2 | r2 a'8 g'16 fis' d'4 |
}

melodyTwoTwo = {
	<b e'>8. b16 d'4 e'4 d'8 b |
	e'16\p ^\startTextSpan b e e'  d' e' g' fis' 
	e' b' c''8  g'16 d' b d' \stopTextSpan |
	c''4\mp b'8 g' e'2 | d'4 e'4 <fis' a'>8 g'16 fis' d'4 |
}

melodyTwoThree = {
	<e' g'>8. b16 <d' a'>8 g'8 e'2 |
	e'16\p ^\markup \italic "sul pont." b e e' g'8\mp a' b'4 r4 |
	c''8 c'' <b' \tweak style #'harmonic-mixed d''>8 g' e'4 c''8 d'' |
		<g' e''>2 <fis' d''>8 g'16 fis' d'4 |
}

melodyTwoFour = {
	\fbarSpan "VII" {
		e''8. b'16 d''4 e''4 <fis' c''> | }
	\slurDown
	<g' b'>16^\markup \pos "VII" (b\p) e ^\startTextSpan e' d' e' g' fis' 
	e' b' c''8 \stopTextSpan \fbarSpan "VII" {e''16\mp d'' b'8 | }
	c''4 b'8 g' e'8 c''8 d''4 | <g' e''>2-> <fis' d''>8-> g'16 fis' d'4 |
}

partTwo = {
	<< {
		\override NoteColumn.ignore-collision = ##t
		\melodyTwoOne
		\melodyTwoTwo
		\melodyTwoThree
		\melodyTwoFour
	} \\ {
		e,1~ -\tag #'hide \mp | e,1 | g1 | s |
		e,1~ | e,1 | g1 | s |
		e,1~ | e,1 | g1 | s |
		e,1~ | e,1 | g1 | s |
	} \\ {
	} \\ {
		\bassEP \bassE
		\bassC \bassD
		\bassE \bassE
		\bassC \bassD
		\bassE \bassE
		\bassC \bassD
		\bassE \bassE
		\bassC \bassDShort
	} >>
}

chorusTwo = {
	<< {
		\introMelodyOneF \introMelodyTwo
		\introMelodyOne \introMelodyTwo

		\introMelodyOne \introMelodyTwo
		\introMelodyOne
		\stemNeutral
		<e, e'>1
		\stemUp
		} \\ {
		e,4 -\tag #'hide \mf
			\repeat unfold 7 {e,4}
		\repeat unfold 4 {c4}
		\repeat unfold 4 {d4}

		\repeat unfold 8 {e,4}
		\repeat unfold 4 {c4}
		s1
	} >>
}

interMelody = {
%	g'1~\harmonic |
	g'1~ \p ^\markup \pos "II"|
%	g'2~ g'8 fis'4. |
	g'2 fis'2 |
	fis'8 e'8~ e'2.~ |
	e'1 |

	g'1~ |
%	g'2~ g'8 a'4 fis'8 |
	g'2 \bbarSpan "II" { a'4. fis'8 }|
	g'1~ |
	g'1 |

	e8 g b b,~ b,2 |
	e4 g8 b, r2 |
	g8 a4 b4. g8 e8~ |
	e1 |

	<g g'>8 b4 e'2 e'16 fis' |
	g'8 fis' e' g'8 <a'~>4. <b_0 a'>8 |
	<c' g'>4 c'8 g'8~ g'2 |
	g'8 fis' e' d' b a g fis |

	e8. e16 b8 b,4. \HarmSpan "XII" {\harmOn g'8 b' |
	<e e''>4 \harmOff} g8-0 b,8-2\6 a'4-1^\markup \pos "X" e''8-4 d''-1 |
	<c'' g>8^\markup \pos "VII" a_1\4 b b4. g8 e_1\5 |
	a'4-4\2 b'-1 a'2 %r |

	<g g'>8^\markup \pos "II" b4 e'2 e'16 fis' |
	g'8 fis' e' g'8 <a'~>4. <b a'>8 |
	<c' g'>4 c'8 g'8~ g'2 |
	g'4-2\< a'-4 b'-4 d'' |
%	g'4 a' b' d'' |
}

interBass = {
%	e8. e,16 b,8 e,8~ e,4 b,4 |
	<e, e>8. -\tag #'hide \p e,16 b,8 e,8~ e,4 b,4 |
%	e,8. e,16 b,8 e,4 <d a>4. |
	e,8. e,16 b,8 e,8 <d a>2 |
	<c g>8. c16 g8 c8~ c4 g4 |
	c16 c c8 c4 c16 c c8 c16 c c8 |
	
	<e, e>8. e,16 b,8 e,8~ e,4 b,4 |
%	e,8. e,16 b,8 e,4 <d a>4. |
	e,8. e,16 b,8 e,8 <d a>2 |
	<c g>8. c16 g8 c8~ c4 g4 |
	c16 c c8 c4 c16 c c8 c16 c c8 |

	e,2. e,4 |
	e,2 <d a>2 |
	c1 |
	c16 c c8 c4 c16 c c8 c16 c c8 |	

	<e, e>2. b,4 |
	<e, e>2 <d a>2 |
	<c g>2. g4 |
	c1 |	

	<e, g'>1 |
	r2 <d_0 a_3>2 |
	c1_2 |
	c16 c c8 c4 c16 c c8 c16 c c8 |	

	<e, e>2. b,4 |
	<e, e>2 <d a>2 |
	<c g>2. g4 |
	c16-1 -\tag #'hide \< c c8 c4 c16 c c8 d4 |
}

interAcc = {
	s1 | s | s | s1 |
	s1 | s | s | s1 |
	g'1~  -\tag #'hide \p | g'2 fis'2 | e'1~ | e'1 |
	s1 | s1 | s1 | g2 e2\rest |
	s1 | s | s | g1 |
	s1 | s1 | s1 | s1 |
}

inter = {
	<< {
		\interMelody
		} \\ {
		\interBass
		} \\ {
		\interAcc
	} >>
}

introMelodyOneEnd = {
	\harmOn e''16\mf ^\markup \Harm "XII" \harmOff b e e'  d' e' g' fis' 
	e' b' c''8  g'16 d' b d' |
}

introMelodyOnePont = {
	e''16^\startTextSpan b e e'  d' e' g' fis' 
	e' b' c''8  g'16 d' b d' |
}

introMelodyOnePontEnd = {
	e''16 b e e'  d' e' g' fis' 
	e' b' c''8  g'16 d' b d' \stopTextSpan |
}

introMelodyTwoP = {
	e'16\mp b e e'  d' e' g' fis' 
	e' b' c''8  g'16 a'8 fis'16 |
}

chorusThree = {
	<< {
		\introMelodyOneEnd \introMelodyTwo
		\introMelodyOne \introMelodyTwo
		\introMelodyOne \introMelodyTwo
		\introMelodyOne \introMelodyTwo
		
		\introMelodyOnePont \introMelodyTwo
		\introMelodyOne \introMelodyTwo
		\introMelodyOne \introMelodyTwo
		\introMelodyOnePontEnd \stemNeutral \introMelodyTwoP
		\stemNeutral <e, e'>1
		} \\ {
		e,4 -\tag #'hide \mf \repeat unfold 7 {e,4}
		\repeat unfold 4 {c4} \repeat unfold 4 {d4}
		\repeat unfold 8 {e,4}
		\repeat unfold 4 {c4} \repeat unfold 4 {d4}
		
		\repeat unfold 8 {e,4}
		\repeat unfold 4 {c4} \repeat unfold 4 {d4}
		\repeat unfold 8 {e,4}
		\repeat unfold 4 {c4} s1
%		\stemNeutral \bendOn e2 (d2) \bendOff |
		s1
	} >>
}

music = {
	\set Score.tempoHideNote = ##t
	\tempo "Andante" 4 = 90
	\intro
	\partOne
	\chorus
	\partTwo
	\chorusTwo
	\inter
	\chorusThree
}

\score{
\new Staff
{
\set Staff.midiInstrument = \mainInstrument
\clef "treble_8"
\key e \minor
\time 4/4

\removeWithTag #'hide

\unfoldRepeats
\music

\bar "|."

}
\layout{indent = 0\cm
	\context {
		\Score
		\override Glissando.minimum-length = #4
		\override Glissando.springs-and-rods = #ly:spanner::set-spacing-rods
		\override Glissando.thickness = #2
	}}
}

\score{
\new Staff
{
\set Staff.midiInstrument = \mainInstrument
\key e \minor
\time 4/4

\unfoldRepeats
\music

}
\midi{}
}